Loading...
Searching...
No Matches
BamAlignment.h File Reference
`#include <cstddef>`
`#include <cstdlib>`
`#include <cstring>`
`#include <string>`
`#include <vector>`
`#include "api/BamAux.h"`
`#include "api/BamConstants.h"`
`#include "api/api_global.h"`

Go to the source code of this file.

## Classes

class | BamTools::BamAlignment
| The main BAM alignment data structure. More...

## Namespaces

namespace | BamTools
| Contains all BamTools classes & methods.

## Typedefs

typedef std::vector< BamAlignment > | BamTools::BamAlignmentVector

## Functions

template<>
bool | BamTools::BamAlignment::AddTag< std::string > (const std::string &tag, const std::string &type, const std::string &value)
template<>
bool | BamTools::BamAlignment::GetTag< std::string > (const std::string &tag, std::string &destination) const